Get Risk Signal
curl --request GET \
--url https://api.truthlocks.com/v1/risk/signals/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.truthlocks.com/v1/risk/signals/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/risk/signals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "device_fingerprint",
"signal_type": "velocity_anomaly",
"score": 0.85,
"details": {
"ip": "203.0.113.42",
"country": "US",
"reason": "multiple_accounts_same_device"
},
"entity_type": "user",
"entity_id": "usr_8f14e45f",
"created_at": "2023-11-07T05:31:56Z"
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Risk Signals
Get risk signal
Retrieves a specific risk signal by its unique ID.
GET
/
v1
/
risk
/
signals
/
{id}
Get Risk Signal
Retrieves a specific risk signal by its unique ID. Returns the full signal record including source, score, subject reference, and any attached metadata.
Parameters
string
required
The UUID of the risk signal to retrieve
Authorizations
API key for machine-to-machine authentication
Path Parameters
Response
Risk signal details
Origin of the signal (e.g. device_fingerprint, ip_reputation, email_verification, document_analysis, behavioral)
Example:
"device_fingerprint"
Classification of the risk signal
Example:
"velocity_anomaly"
Risk score between 0 (no risk) and 1 (highest risk)
Required range:
0 <= x <= 1Example:
0.85
Arbitrary metadata associated with the signal
Example:
{
"ip": "203.0.113.42",
"country": "US",
"reason": "multiple_accounts_same_device"
}
The type of entity this signal relates to
Available options:
user, device, ip, document, session Example:
"user"
Identifier of the entity being evaluated
Example:
"usr_8f14e45f"

